%define major		2

%define libname		%mklibname %{name} %{major}
%define devellibname	%mklibname -d %{name}

Name:       xwiimote
Version:    2
Release:    %mkrel 7
Summary:    Linux X11 WiiMote Tools
Group:      System/X11
License:    MIT-like
URL:        https://github.com/dvdhrm/xwiimote
Source:     https://github.com/dvdhrm/%{name}/releases/download/%{name}-%{version}/%{name}-%{version}.tar.xz

Requires:   %{libname} == %{version}-%{release}

BuildRequires: udev-devel
BuildRequires: ncurses-devel
BuildRequires: doxygen

%description
xwiimote is a WiiMote Driver for X.


%package -n %{libname}
Summary:    X11 WiiMote library
Group:      System/Libraries
Recommends:   x11-driver-input-xwiimote

%description -n %{libname}
Library for xwiimote.

xwiimote is a WiiMote Driver for X.


%package -n %{devellibname}
Summary:    X11 WiiMote development library
Group:      Development/X11
Requires:   %{libname} == %{version}-%{release}
Provides:   %{name}-devel = %{version}-%{release}

%description -n %{devellibname}
Development Library package for xwiimote.

xwiimote is a WiiMote Driver for X.


%prep
%setup -q
%autopatch -p1

%build
%configure2_5x
%make

%install
%makeinstall_std

# blacklist X11 rules
install -d -m 775 %{buildroot}%{_datadir}/X11/xorg.conf.d/
install -m 664 res/50-xorg-fix-xwiimote.conf %{buildroot}%{_datadir}/X11/xorg.conf.d/

# install xwiidump
install -m 775 xwiidump %{buildroot}%{_bindir}/

# clean up
rm -f %{buildroot}%{_libdir}/libxwiimote.a
rm -f %{buildroot}%{_libdir}/libxwiimote.la

%files
%doc README
%{_bindir}/xwiishow
%{_bindir}/xwiidump
%{_mandir}/man1/xwiishow.*
%doc %_datadir/doc/xwiimote

%files -n %{libname}
%{_libdir}/libxwiimote.so.*
%{_datadir}/X11/xorg.conf.d/50-xorg-fix-xwiimote.conf

%files -n %{devellibname}
%{_includedir}/xwiimote.h
%{_libdir}/libxwiimote.so
%{_libdir}/pkgconfig/libxwiimote.pc
%{_mandir}/man7/xwiimote.*
%{_mandir}/man7/libxwiimote.*


%changelog
* Mon Jan 04 2016 alien <alien> 2-7.mga6
+ Revision: 919414
- fix build by re-enabling doc

  + neoclust <neoclust>
    - Add some docs

* Sun Oct 25 2015 tv <tv> 2-6.mga6
+ Revision: 895095
- fix build by nuking doc installed by package:

* Wed Oct 15 2014 umeabot <umeabot> 2-6.mga5
+ Revision: 749746
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2-5.mga5
+ Revision: 690804
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sun Sep 07 2014 alien <alien> 2-4.mga5
+ Revision: 673231
- devel subpackage requires the library package

* Sun Sep 07 2014 alien <alien> 2-3.mga5
+ Revision: 673210
+ rebuild (emptylog)

* Sun Sep 07 2014 alien <alien> 2-2.mga5
+ Revision: 673209
+ rebuild (emptylog)

* Sun Sep 07 2014 alien <alien> 2-1.mga5
+ Revision: 673156
- imported package xwiimote

